curl --request GET \
--url https://public-api.stora.co/2025-09/unit_types/{unit_type_id} \
--header 'Authorization: Bearer <token>'{
"unit_type": {
"id": "utype_f18fc91387cdf710",
"_links": {
"sf:new_order": {
"href": "/sites/site-name-self-storage-units/order/contact-details?unit_type_slug=standard-storage-unit",
"title": "New order"
}
},
"created_at": "2025-02-22T14:41:00Z",
"dimensions": {
"height": 11,
"length": 12,
"measurement_unit": "ft",
"width": 10
},
"dynamic_pricing": false,
"images": {
"default": null
},
"name": "Standard Storage Unit",
"prices": [
{
"billing_period": "weekly",
"price": {
"amount": 1500,
"currency": "GBP",
"formatted": "£15.00"
},
"stripe_price_id": "price_weekly_123"
}
],
"promotion": {
"id": "cpn_promo_abc123"
},
"require_insurance_coverage": true,
"require_security_deposit": true,
"security_deposit": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"selling_points": [
"Spacious",
"Affordable",
"Secure"
],
"site": {
"id": "site_14b419f1096013f1"
},
"size_description": "10x12 ft",
"slug": "standard-storage-unit",
"status": "bookable",
"stripe_product_id": "test_Sj6uOSWhCLm5et",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Retrieve a specific unit type by its ID.
Required authorization scope: public.unit_type:read
curl --request GET \
--url https://public-api.stora.co/2025-09/unit_types/{unit_type_id} \
--header 'Authorization: Bearer <token>'{
"unit_type": {
"id": "utype_f18fc91387cdf710",
"_links": {
"sf:new_order": {
"href": "/sites/site-name-self-storage-units/order/contact-details?unit_type_slug=standard-storage-unit",
"title": "New order"
}
},
"created_at": "2025-02-22T14:41:00Z",
"dimensions": {
"height": 11,
"length": 12,
"measurement_unit": "ft",
"width": 10
},
"dynamic_pricing": false,
"images": {
"default": null
},
"name": "Standard Storage Unit",
"prices": [
{
"billing_period": "weekly",
"price": {
"amount": 1500,
"currency": "GBP",
"formatted": "£15.00"
},
"stripe_price_id": "price_weekly_123"
}
],
"promotion": {
"id": "cpn_promo_abc123"
},
"require_insurance_coverage": true,
"require_security_deposit": true,
"security_deposit": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"selling_points": [
"Spacious",
"Affordable",
"Secure"
],
"site": {
"id": "site_14b419f1096013f1"
},
"size_description": "10x12 ft",
"slug": "standard-storage-unit",
"status": "bookable",
"stripe_product_id": "test_Sj6uOSWhCLm5et",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.stora.co/llms.txt
Use this file to discover all available pages before exploring further.
Bearer Token necessary to use API
The ID of the unit type to retrieve
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?